Upgrading from 3.4u to 4.0u safely...

Discussion in 'Wii - Hacking' started by tetris4ever, May 23, 2009.

May 23, 2009
  1. tetris4ever
    OP

    Newcomer tetris4ever Member

    Joined:
    May 13, 2009
    Messages:
    13
    Country:
    United States
    Hi, I want to upgrade my Wii to 4.0u. I have the Hombrew channel and all the Homebrew apps working great including the USB loader. Currently I have:

    - 3.4u firmware

    -IOS16 installed

    -cIOS rev 10 installed

    -Waninkoko's 1.5 USB Loader

    What do I need to update though Nintendo safely? I read something about a patched IOS60 before updating to 4.0, but I'm not clear on it. Also, would I still be able to install WAD's if I update to 4.0? My biggest concern is the USB Loader and whether or not updating will affect it.
     
  2. imapterodactyl

    Member imapterodactyl GBAtemp Fan

    Joined:
    Jan 20, 2009
    Messages:
    424
    Country:
    United States
    There are plenty of guides around here, just look.

    Most of the guides were written before BootMii was released, though. Look for info on BootMii (there's a whole thread about it here). If your Wii is old enough to install BootMii to boot2, do that first. Then you'll have full brick protection, and won't have to worry about damaging your Wii beyond repair while updating. If you attempt to update without it, and brick your Wii, at least you were warned in advance.
     
  3. tetris4ever
    OP

    Newcomer tetris4ever Member

    Joined:
    May 13, 2009
    Messages:
    13
    Country:
    United States
    I'm still unsure about installing BootMii. I think I'll wait until it's a little further along past beta1. I'm trying to mod my Wii as little as possible to reduce the possibility of problems while still doing everything I can to have an officially updated system.
     
  4. icebrg5

    Member icebrg5 GBAtemp Addict

    Joined:
    Apr 1, 2007
    Messages:
    2,326
    Country:
    United States
    i went from 3.4 to 4.0 through nintendo.

    I had cios rev8 or 9 at the time.

    I installed the patched ios60.
    updated through nintendo.
    Ran ios downgrader.(NOT CIOS DOWNGRADER)


    I play vc/wiiware from the sd card with no problems.
    I've since installed criso rev10 with no problems.Homebrew works fine and ive installed bootmii as boot2 without any problems.
     
  5. tetris4ever
    OP

    Newcomer tetris4ever Member

    Joined:
    May 13, 2009
    Messages:
    13
    Country:
    United States
    Cool, thanks for the benefit of your experience. Much appreciated!
     
  6. ciris

    Member ciris GBAtemp Regular

    Joined:
    Mar 3, 2009
    Messages:
    142
    Country:
    United States
  7. tetris4ever
    OP

    Newcomer tetris4ever Member

    Joined:
    May 13, 2009
    Messages:
    13
    Country:
    United States
    OK, so as far as I have researched, I'm OK to update through Nintendo with my current setup. I would still be able to install WAD's and use USB Loader because I have cIOS installed already. The only thing I wouldn't be able to do is run VC/Wiiware games off of the SD card with 4.0 unless I install the patched IOS60. However, I'm under the impression that I could install the patched IOS60 after I update to 4.0 if I choose to do so. This is what I gathered after reading many many threads. Can anyone confirm this for me?
     
  8. tetris4ever
    OP

    Newcomer tetris4ever Member

    Joined:
    May 13, 2009
    Messages:
    13
    Country:
    United States
  9. bubbleboy

    Member bubbleboy GBAtemp Regular

    Joined:
    Mar 2, 2008
    Messages:
    272
    Country:
    United States
    Why do you need to run ios downgrader? I'm on 3.2 and want to upgrade, but then why downgrade again?
     
  10. afif95

    Member afif95 I own a bungalow on Mars, and booked 4 corner lots

    Joined:
    Nov 24, 2008
    Messages:
    1,805
    Location:
    Malaysia!
    Country:
    Malaysia
    Yes. But if you update through nintendo, always remember to have a run of your IOS downgrader, gotz it?
     
  11. tetris4ever
    OP

    Newcomer tetris4ever Member

    Joined:
    May 13, 2009
    Messages:
    13
    Country:
    United States
    Isn't this unnecessary? Won't I still be able to install WAD's and cIOS's because of the cIOS that I already have installed with 3.4u? What is the advantage of running the IOS downgrader after updating?
     
  12. afif95

    Member afif95 I own a bungalow on Mars, and booked 4 corner lots

    Joined:
    Nov 24, 2008
    Messages:
    1,805
    Location:
    Malaysia!
    Country:
    Malaysia
    It enables your already un-enabled trucha bug. Simply put.

    And to make it more simpler, trucha bug is good and needed. It's like weed without the side-effects.
     

Share This Page